%global debug_package %{nil}

Name: python-pluggy
Epoch: 100
Version: 1.0.0
Release: 1%{?dist}
BuildArch: noarch
Summary: Minimalist production ready plugin system
License: MIT
URL: https://github.com/pytest-dev/pluggy/tags
Source0: %{name}_%{version}.orig.tar.gz
BuildRequires: fdupes
BuildRequires: python-rpm-macros
BuildRequires: python3-devel
BuildRequires: python3-setuptools

%description
This is the core framework used by the pytest, tox, and devpi projects.

%prep
%autosetup -T -c -n %{name}_%{version}-%{release}
tar -zx -f %{S:0} --strip-components=1 -C .

%build
%py3_build

%install
%py3_install
find %{buildroot}%{python3_sitelib} -type f -name '*.pyc' -exec rm -rf {} \;
%fdupes -s %{buildroot}%{python3_sitelib}

%check

%if 0%{?suse_version} > 1500
%package -n python%{python3_version_nodots}-pluggy
Summary: Minimalist production ready plugin system
Requires: python3
Requires: python3-importlib-metadata >= 0.12
Provides: python3-pluggy = %{epoch}:%{version}-%{release}
Provides: python3dist(pluggy) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pluggy = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pluggy) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pluggy = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pluggy) = %{epoch}:%{version}-%{release}

%description -n python%{python3_version_nodots}-pluggy
This is the core framework used by the pytest, tox, and devpi projects.

%files -n python%{python3_version_nodots}-pluggy
%license LICENSE
%{python3_sitelib}/pluggy*
%endif

%if !(0%{?suse_version} > 1500)
%package -n python3-pluggy
Summary: Minimalist production ready plugin system
Requires: python3
Requires: python3-importlib-metadata >= 0.12
Provides: python3-pluggy = %{epoch}:%{version}-%{release}
Provides: python3dist(pluggy) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}-pluggy = %{epoch}:%{version}-%{release}
Provides: python%{python3_version}dist(pluggy) = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}-pluggy = %{epoch}:%{version}-%{release}
Provides: python%{python3_version_nodots}dist(pluggy) = %{epoch}:%{version}-%{release}

%description -n python3-pluggy
This is the core framework used by the pytest, tox, and devpi projects.

%files -n python3-pluggy
%license LICENSE
%{python3_sitelib}/pluggy*
%endif

%changelog
